# Uses of Class
org.apache.commons.math3.linear.BlockFieldMatrix

Packages that use BlockFieldMatrix
Package
Description
org.apache.commons.math3.linear
Linear algebra support.

## Uses of BlockFieldMatrix in org.apache.commons.math3.linear

Methods in org.apache.commons.math3.linear that return BlockFieldMatrix
Modifier and Type
Method
Description
`BlockFieldMatrix<T>`
BlockFieldMatrix.`add(BlockFieldMatrix<T> m)`
Compute the sum of `this` and `m`.
`BlockFieldMatrix<T>`
BlockFieldMatrix.`multiply(BlockFieldMatrix<T> m)`
Returns the result of postmultiplying `this` by `m`.
`BlockFieldMatrix<T>`
BlockFieldMatrix.`subtract(BlockFieldMatrix<T> m)`
Compute `this - m`.
Methods in org.apache.commons.math3.linear with parameters of type BlockFieldMatrix
Modifier and Type
Method
Description
`BlockFieldMatrix<T>`
BlockFieldMatrix.`add(BlockFieldMatrix<T> m)`
Compute the sum of `this` and `m`.
`BlockFieldMatrix<T>`
BlockFieldMatrix.`multiply(BlockFieldMatrix<T> m)`
Returns the result of postmultiplying `this` by `m`.
`void`
BlockFieldMatrix.`setRowMatrix(int row, BlockFieldMatrix<T> matrix)`
Sets the entries in row number `row` as a row matrix.
`BlockFieldMatrix<T>`
BlockFieldMatrix.`subtract(BlockFieldMatrix<T> m)`
Compute `this - m`.